package main

import (
	"fmt"
)

type User struct {
	First string
	Last  string
}

func (u User) Greet(greeting string) {
	fmt.Println(greeting + " " + u.First + " " + u.Last)
}

func main() {
	u := User{"Cory", "LaNou"}
	u.Greet("hi")

	User.Greet(u, "goodbye")
}
